package com.yunfeiyun.agmp.common.core.domain.entity;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.model.IBaseOperLog;

/**
 * 操作日志记录表 SysOperLog
 * 
 * @author 杨晓辉
 */
public class SysOperLog extends BaseEntity implements IBaseOperLog
{
    private static final long serialVersionUID = 1L;

    /** 日志主键 */
    @Excel(name = "操作序号")
    private String operId;

    /** 操作模块 */
    @Excel(name = "操作模块")
    private String operTitle;

    /** 业务类型（0其它 1新增 2修改 3删除） */
    @Excel(name = "业务类型", readConverterExp = "0=其它,1=新增,2=修改,3=删除,4=授权,5=导出,6=导入,7=强退,8=生成代码,9=清空数据")
    private Integer operBustype;

    /** 业务类型数组 */
    private Integer[] businessTypes;

    /** 请求方法 */
    @Excel(name = "请求方法")
    private String operMethod;

    /** 请求方式 */
    @Excel(name = "请求方式")
    private String operReqmethod;

    /** 操作类别（0其它 1后台用户 2手机端用户） */
    @Excel(name = "操作类别", readConverterExp = "0=其它,1=后台用户,2=手机端用户")
    private Integer operType;

    /** 操作人员 */
    @Excel(name = "操作人员")
    private String operName;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String operDeptname;

    /** 请求url */
    @Excel(name = "请求地址")
    private String operUrl;

    /** 操作地址 */
    @Excel(name = "操作地址")
    private String operIp;

    /** 操作地点 */
    @Excel(name = "操作地点")
    private String operLocation;

    /** 请求参数 */
    @Excel(name = "请求参数")
    private String operParam;

    /** 返回参数 */
    @Excel(name = "返回参数")
    private String operJsonresult;

    /** 操作状态（0正常 1异常） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=异常")
    private Integer operStatus;

    /** 错误消息 */
    @Excel(name = "错误消息")
    private String operErrormsg;

    /** 操作时间 */
    @Excel(name = "操作时间")
    private String operTime;

    /** 消耗时间 */
    @Excel(name = "消耗时间", suffix = "毫秒")
    private String operCosttime;

    public String getOperId()
    {
        return operId;
    }

    public void setOperId(String operId)
    {
        this.operId = operId;
    }

    public String getOperTitle()
    {
        return operTitle;
    }

    public void setOperTitle(String operTitle)
    {
        this.operTitle = operTitle;
    }

    public Integer getOperBusType()
    {
        return operBustype;
    }

    public void setOperBusType(Integer operBustype)
    {
        this.operBustype = operBustype;
    }

    public Integer[] getBusinessTypes()
    {
        return businessTypes;
    }

    public void setBusinessTypes(Integer[] businessTypes)
    {
        this.businessTypes = businessTypes;
    }

    public String getOperMethod()
    {
        return operMethod;
    }

    public void setOperMethod(String operMethod)
    {
        this.operMethod = operMethod;
    }

    public String getOperReqmethod()
    {
        return operReqmethod;
    }

    public void setOperReqmethod(String operReqmethod)
    {
        this.operReqmethod = operReqmethod;
    }

    public Integer getOperType()
    {
        return operType;
    }

    public void setOperType(Integer operType)
    {
        this.operType = operType;
    }

    public String getOperName()
    {
        return operName;
    }

    public void setOperName(String operName)
    {
        this.operName = operName;
    }

    public String getOperDeptName()
    {
        return operDeptname;
    }

    public void setOperDeptName(String operDeptname)
    {
        this.operDeptname = operDeptname;
    }

    public String getOperUrl()
    {
        return operUrl;
    }

    public void setOperUrl(String operUrl)
    {
        this.operUrl = operUrl;
    }

    public String getOperIp()
    {
        return operIp;
    }

    public void setOperIp(String operIp)
    {
        this.operIp = operIp;
    }

    public String getOperLocation()
    {
        return operLocation;
    }

    public void setOperLocation(String operLocation)
    {
        this.operLocation = operLocation;
    }

    public String getOperParam()
    {
        return operParam;
    }

    public void setOperParam(String operParam)
    {
        this.operParam = operParam;
    }

    public String getOperJsonresult()
    {
        return operJsonresult;
    }

    public void setOperJsonresult(String operJsonresult)
    {
        this.operJsonresult = operJsonresult;
    }

    public Integer getOperStatus()
    {
        return operStatus;
    }

    public void setOperStatus(Integer operStatus)
    {
        this.operStatus = operStatus;
    }

    public String getOperErrorMsg()
    {
        return operErrormsg;
    }

    public void setOperErrorMsg(String operErrormsg)
    {
        this.operErrormsg = operErrormsg;
    }

    public String getOperTime()
    {
        return operTime;
    }

    public void setOperTime(String operTime)
    {
        this.operTime = operTime;
    }

    public String getOperCostTime()
    {
        return operCosttime;
    }

    public void setOperCostTime(String operCosttime)
    {
        this.operCosttime = operCosttime;
    }
}
